curl --request GET \
--url https://api.x.com/2/spaces/search \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.x.com/2/spaces/search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.x.com/2/spaces/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "1SLjjRYNejbKM",
"state": "live",
"created_at": "2021-07-06T18:40:40.000Z",
"creator_id": "2244994945",
"ended_at": "2021-07-06T18:40:40.000Z",
"host_ids": [
"2244994945"
],
"invited_user_ids": [
"2244994945"
],
"is_ticketed": "false",
"lang": "en",
"participant_count": 10,
"scheduled_start": "2021-07-06T18:40:40.000Z",
"speaker_ids": [
"2244994945"
],
"started_at": "2021-7-14T04:35:55Z",
"subscriber_count": 10,
"title": "Spaces are Awesome",
"topics": [
{
"description": "Tout sur la technologie",
"id": "848920371311001600",
"name": "Technology"
}
],
"updated_at": "2021-7-14T04:35:55Z"
}
],
"errors": [
{
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"status": 123
}
],
"includes": {
"media": [
{
"type": "<string>",
"preview_image_url": "<string>",
"variants": [
{
"bit_rate": 123,
"content_type": "<string>",
"url": "<string>"
}
],
"height": 1,
"media_key": "<string>",
"width": 1
}
],
"places": [
{
"full_name": "Lakewood, CO",
"id": "f7eb2fa2fea288b1",
"contained_within": [
"f7eb2fa2fea288b1"
],
"country": "United States",
"country_code": "US",
"geo": {
"bbox": [
-105.193475,
39.60973,
-105.053164,
39.761974
],
"properties": {},
"type": "Feature",
"geometry": {
"coordinates": [
-105.18816086351444,
40.247749999999996
],
"type": "Point"
}
},
"name": "Lakewood",
"place_type": "city"
}
],
"polls": [
{
"id": "1365059861688410112",
"options": [
{
"label": "<string>",
"position": 123,
"votes": 123
}
],
"duration_minutes": 5042,
"end_datetime": "2023-11-07T05:31:56Z",
"voting_status": "open"
}
],
"topics": [
{
"id": "<string>",
"name": "Technology",
"description": "All about technology"
}
],
"tweets": [
{
"author_id": "2244994945",
"created_at": "Wed Jan 06 18:40:40 +0000 2021",
"id": "1346889436626259968",
"text": "Learn how to use the user Tweet timeline and user mention timeline endpoints in the X API v2 to explore Tweet\\u2026 https:\\/\\/t.co\\/56a0vZUx7i",
"username": "XDevelopers"
}
],
"users": [
{
"created_at": "2013-12-14T04:35:55Z",
"id": "2244994945",
"name": "X Dev",
"protected": false,
"username": "TwitterDev"
}
]
},
"meta": {
"result_count": 123
}
}{
"code": 123,
"message": "<string>"
}Rechercher des Spaces
Récupère une liste de Spaces qui correspondent à la requête de recherche spécifiée.
Autorisations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Paramètres de requête
La requête de recherche.
1 - 2048"crypto"
Le statut des Spaces à rechercher.
live, scheduled, all Le nombre de résultats à renvoyer.
1 <= x <= 100Une liste de champs Space, séparés par des virgules, à renvoyer. Les champs disponibles pour un objet Space.
1created_at, creator_id, ended_at, host_ids, id, invited_user_ids, is_ticketed, lang, participant_count, scheduled_start, speaker_ids, started_at, state, subscriber_count, title, topic_ids, updated_at [
"created_at",
"creator_id",
"ended_at",
"host_ids",
"id",
"invited_user_ids",
"is_ticketed",
"lang",
"participant_count",
"scheduled_start",
"speaker_ids",
"started_at",
"state",
"subscriber_count",
"title",
"topic_ids",
"updated_at"
]
Une liste de champs à développer, séparés par des virgules. La liste des champs que vous pouvez développer pour un objet Space. Si ce champ comporte un id, il peut être développé en un objet complet.
1creator_id, host_ids, invited_user_ids, speaker_ids, topic_ids [
"creator_id",
"host_ids",
"invited_user_ids",
"speaker_ids",
"topic_ids"
]
Une liste, séparée par des virgules, de champs User à renvoyer. Les champs disponibles pour un objet User.
1affiliation, confirmed_email, connection_status, created_at, description, entities, id, is_identity_verified, location, most_recent_tweet_id, name, parody, pinned_tweet_id, profile_banner_url, profile_image_url, protected, public_metrics, receives_your_dm, subscription, subscription_type, url, username, verified, verified_followers_count, verified_type, withheld [
"affiliation",
"confirmed_email",
"connection_status",
"created_at",
"description",
"entities",
"id",
"is_identity_verified",
"location",
"most_recent_tweet_id",
"name",
"parody",
"pinned_tweet_id",
"profile_banner_url",
"profile_image_url",
"protected",
"public_metrics",
"receives_your_dm",
"subscription",
"subscription_type",
"url",
"username",
"verified",
"verified_followers_count",
"verified_type",
"withheld"
]
Une liste de champs Topic, séparés par des virgules, à renvoyer. Les champs disponibles pour un objet Topic.
1description, id, name ["description", "id", "name"]
Réponse
La requête a abouti.
1Show child attributes
Show child attributes
1Un objet HTTP Problem Details, tel que défini dans la RFC IETF 7807 (https://tools.ietf.org/html/rfc7807).
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
- Option 18
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes